Summary:	NetworkManager VPN integration for PPTP
Summary(pl.UTF-8):	Integracja NetworkManagera z protokołem PPTP
Name:		NetworkManager-pptp
Version:	0.9.8.4
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-pptp/0.9/%{name}-%{version}.tar.xz
# Source0-md5:	2d1f48ab2383aaba1cc4acb43a187320
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	NetworkManager-devel >= 2:0.9.8.4
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	ppp-plugin-devel >= 3:2.4.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:0.9.8.4
Requires:	dbus-glib >= 0.74
Requires:	ppp
Requires:	pptp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for PPTP.

%description -l pl.UTF-8
Integracja NetworkManagera z protokołem PPTP.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/plugins
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pppd/plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-pptp-properties.so
%attr(755,root,root) %{_libdir}/nm-pptp-auth-dialog
%attr(755,root,root) %{_libdir}/nm-pptp-service
%attr(755,root,root) %{_libdir}/pppd/plugins/nm-pptp-pppd-plugin.so
%{_sysconfdir}/NetworkManager/VPN/nm-pptp-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-pptp-service.conf
%{_datadir}/gnome-vpn-properties/pptp
%changelog
* Sun Sep 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-pptp.git;a=log;h=master

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 8687842
- updated to 0.9.8.4

* Mon Jun 10 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 752fcf8
- Update to 0.9.8.2

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 44f527b
- Update to 0.9.8.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 71868de
- updated to 0.9.6.0

* Mon Apr 02 2012 Elan Ruusamäe <glen@pld-linux.org> 643f4ff
- fix .la cleanup

* Mon Apr 02 2012 Elan Ruusamäe <glen@pld-linux.org> f2e2e55
- use unversioned ppp plugins dir

* Sat Mar 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 2844370
- updated to 0.9.4.0

* Fri Nov 11 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8b7a44f
- updated to 0.9.2.0

* Sun Sep 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 75efe16
- disable-static instead of building and removing

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 86f0256
- udated to 0.9.0
- BRs updated

* Wed May 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 45bfd0f
- updated to 0.8.999

* Wed Apr 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> 493d8ec
- updated to 0.8.998

* Fri Nov 05 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8e2e18d
- updated to 0.8.2

* Thu Jul 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e90355e
- updated to 0.8.1

* Thu Jun 03 2010 sparky <sparky@pld-linux.org> 71d9345
- replaced BR: gnome-keyring-devel with BR: libgnome-keyring-devel

* Sat May 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> bde63cc
- install pppd plugin to proper directory
- release 2

* Sat Feb 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 676e363
- updated to 0.8

* Sat Nov 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4921fa3
- updated to 0.7.2

* Tue Apr 14 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b9c050e
- updated to 0.7.1

* Sat Nov 29 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d33eb75
- new

